corelinux::ScalarIdentifier< ScalarType > Class Template Reference

ScalarIdentifier provides a templated interface for declaring CoreLinux Identifiers for simple scalar types. More...

`#include <ScalarIdentifiers.hpp>`

## Public Member Functions

| ScalarIdentifier (void)
| Default constructor.
| ScalarIdentifier (ScalarType aType)
| Initializing constructor.
| ScalarIdentifier (const ScalarIdentifier &aScalar)
| Copy constructor.
virtual | ~ScalarIdentifier (void)
| Virtual Destructor.
ScalarType & | operator= (ScalarType aScalar)
| Operator assignment for scalars.
ScalarIdentifier & | operator= (const ScalarIdentifier &aScalar)
| Operator assignment of Identifiers.
| operator ScalarType & (void)
| Reference cast operator.
| operator ScalarType * (void)
| Pointer cast operator.
const ScalarType & | getScalar (void) const
| Returns a const reference.
Public Member Functions inherited from corelinux::Identifier
| Identifier (void)
| Default Constructor.
| Identifier (IdentifierCref)
| Copy Constructor. More...
virtual | ~Identifier (void)
| Virtual Destructor.
IdentifierRef | operator= (IdentifierCref)
| Assignment operator overload. More...
bool | operator== (IdentifierCref) const
| Equality operator overload calls isEqual virtual method. More...
bool | operator!= (IdentifierCref) const
| Non-equality operator overload returns !isEqual(aRef) More...
bool | operator< (IdentifierCref) const
| Less than operator overload. More...
bool | operator<= (IdentifierCref) const
| Less than or equal operator overload. More...
bool | operator> (IdentifierCref) const
| Greater than operator overload. More...
bool | operator>= (IdentifierCref) const
| Greater than or equal operator overload. More...
Public Member Functions inherited from corelinux::CoreLinuxObject
| CoreLinuxObject (void)
| Default Constructor.
| CoreLinuxObject (CoreLinuxObjectCref)
| Copy Constructor. More...
virtual | ~CoreLinuxObject (void)
| Virtual Destructor.
CoreLinuxObjectRef | operator= (CoreLinuxObjectCref)
| Assignment operator overload. More...
bool | operator== (CoreLinuxObjectCref) const
| Equality operator overload. More...
bool | operator!= (CoreLinuxObjectCref) const
| Non-equality operator overload. More...

## Protected Member Functions

virtual bool | isEqual (IdentifierCref aRef) const
| Equality method. More...
virtual bool | isLessThan (IdentifierCref aRef) const
| Less than method. More...
virtual bool | isLessThanOrEqual (IdentifierCref aRef) const
| Less than or equal method. More...
virtual bool | isGreaterThan (IdentifierCref aRef) const
| Greater than method. More...
virtual bool | isGreaterThanOrEqual (IdentifierCref aRef) const
| Greater than or equal method. More...

## Detailed Description

### template<class ScalarType>
class corelinux::ScalarIdentifier< ScalarType >

ScalarIdentifier provides a templated interface for declaring CoreLinux Identifiers for simple scalar types.

## Member Function Documentation

template<class ScalarType >

virtual bool corelinux::ScalarIdentifier< ScalarType >::isEqual | ( | IdentifierCref | aRef | ) | const

inline protected virtual

Equality method.

Parameters

  Identifier | const reference

Returns
  true if equal, false otherwise

Reimplemented from corelinux::Identifier.

template<class ScalarType >

virtual bool corelinux::ScalarIdentifier< ScalarType >::isGreaterThan | ( | IdentifierCref | aRef | ) | const

inline protected virtual

Greater than method.

Parameters

  Identifier | const reference

Returns
  true if greater than, false otherwise

Reimplemented from corelinux::Identifier.

template<class ScalarType >

virtual bool corelinux::ScalarIdentifier< ScalarType >::isGreaterThanOrEqual | ( | IdentifierCref | aRef | ) | const

inline protected virtual

Greater than or equal method.

Parameters

  Identifier | const reference

Returns
  true if greater than or equal, false otherwise

Reimplemented from corelinux::Identifier.

template<class ScalarType >

virtual bool corelinux::ScalarIdentifier< ScalarType >::isLessThan | ( | IdentifierCref | aRef | ) | const

inline protected virtual

Less than method.

Parameters

  Identifier | const reference

Returns
  true if less than, false otherwise

Reimplemented from corelinux::Identifier.

template<class ScalarType >

virtual bool corelinux::ScalarIdentifier< ScalarType >::isLessThanOrEqual | ( | IdentifierCref | aRef | ) | const

inline protected virtual

Less than or equal method.

Parameters

  Identifier | const reference

Returns
  true if less than or equal, false otherwise

Reimplemented from corelinux::Identifier.

The documentation for this class was generated from the following file:

- ScalarIdentifiers.hpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium